import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:easy_amap_search/easy_amap_search.dart';

void main() {
  const MethodChannel channel = MethodChannel('easy_amap_search');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await EasyAmapSearch.platformVersion, '42');
  });
}
